> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.nibtravelinsurance.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.nibtravelinsurance.com/_mcp/server.

# Email quote

POST https://api-staging.nibtravelinsurance.com/quotes/v2/{brandCode}/quote/{quoteId}/communication
Content-Type: application/json

The endpoint allows quote to be emailed to the customer. Returns An array of available plans for sale based on the request. Parameters are returned as part of the response.

Reference: https://developer.nibtravelinsurance.com/reference/quotes-api/communication/email-quote

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `brandCode` (enum, required) — A supported NIB Travel brand code, such as “wn”.
  - Allowed values: `nibau`, `nibnz`, `tidau`, `wn`
- `quoteId` (string, required) — The Quote Id is a GUID that was returned from the response of the initial request. The Id identifies the quote saved.

### Body (application/json)

This endpoint expects an object.

- `emailAddress` (string, optional) — Customer’s email address to send the quote to.
- `validation` (Validation, optional)

## Response

### 200

Success

- `planId` (long, optional, default: 0)
- `standardExcess` (double, optional)
- `prices` (list of QuotePriceSummary, optional)
- `basePriceResult` (BasePriceResult, optional)
- `optionPriceResult` (list of OptionPriceResult, optional)
- `validation` (Validation, optional)

## Types

### Validation

- `isValid` (boolean, optional, default: false)
- `errors` (list of Notification, optional)

### QuotePriceSummary

- `planId` (long, optional, default: 0)
- `totalPrice` (double, optional)
- `standardExcess` (double, optional)
- `campaignDiscountPercentage` (double, optional)
- `campaignDiscount` (double, optional)
- `partnerDiscount` (double, optional)
- `basePrice` (BasePriceSummary, optional)
- `specifiedItemOptionPrice` (OptionPriceSummary, optional)
- `adventureActivitiesOptionPrice` (OptionPriceSummary, optional)
- `basicOptionPrices` (list of OptionPriceSummary, optional)
- `tripCancellationPrice` (OptionPriceSummary, optional)

### BasePriceResult

- `planId` (long, optional, default: 0)
- `netListPrice` (double, optional)
- `saleListPrice` (double, optional)
- `taxComponents` (list of TaxComponentResult, optional)
- `saleListCommission` (double, optional)
- `netCampaignDiscount` (double, optional)
- `saleCampaignDiscount` (double, optional)
- `salePartnerDiscount` (double, optional)
- `priceDetails` (list of BasePriceResultDetail, optional)

### OptionPriceResult

- `optionId` (long, optional, default: 0)
- `optionTypeCode` (string, optional)
- `policyHolderGuid` (string, optional)
- `netListPrice` (double, optional)
- `netListPriceId` (long, optional, default: 0)
- `saleListPrice` (double, optional)
- `saleListPriceId` (long, optional, default: 0)
- `optionCoverageAmount` (double, optional)
- `minNetListPrice` (double, optional)
- `maxNetListPrice` (double, optional)
- `isOptionExplicit` (boolean, optional, default: false)
- `isDefault` (boolean, optional, default: false)
- `maxItemValuePerPolicy` (double, optional)
- `minSaleListPrice` (double, optional)
- `maxSaleListPrice` (double, optional)
- `taxComponents` (list of TaxComponentResult, optional)
- `saleListCommission` (double, optional)
- `netCampaignDiscount` (double, optional)
- `saleCampaignDiscount` (double, optional)
- `salePartnerDiscount` (double, optional)
- `priceDetails` (list of OptionPriceResultDetail, optional)

### Notification

- `code` (string, optional)
- `message` (string, optional)
- `tokens` (map from string to string, optional)
- `property` (string, optional)
- `value` (string, optional)
- `title` (string, optional)
- `detail` (string, optional)

### BasePriceSummary

- `price` (double, optional)
- `campaignDiscount` (double, optional)
- `partnerDiscount` (double, optional)
- `taxComponents` (list of TaxComponentSummary, optional)

### OptionPriceSummary

- `optionId` (long, optional, default: 0)
- `optionType` (string, optional)
- `policyHolderGuid` (string, optional)
- `price` (double, optional)
- `campaignDiscount` (double, optional)
- `partnerDiscount` (double, optional)
- `items` (list of OptionItemPriceSummary, optional)
- `displayOrder` (integer, optional)

### TaxComponentResult

- `taxName` (string, optional)
- `taxRatePercentage` (double, optional)
- `taxAmount` (double, optional)

### BasePriceResultDetail

- `age` (integer, optional)
- `ageRangeId` (long, optional, default: 0)
- `netListPrice` (double, optional)
- `netListPriceId` (long, optional, default: 0)
- `saleListPrice` (double, optional)
- `saleListPriceId` (long, optional, default: 0)
- `saleListCommission` (double, optional)
- `netCampaignDiscount` (double, optional)
- `saleCampaignDiscount` (double, optional)
- `salePartnerDiscount` (double, optional)

### OptionPriceResultDetail

- `optionSubTypeCode` (string, optional)
- `itemGuid` (string, optional)
- `netListPrice` (double, optional)
- `netListPriceId` (long, optional, default: 0)
- `saleListPrice` (double, optional)
- `saleListPriceId` (long, optional, default: 0)
- `saleListCommission` (double, optional)
- `netCampaignDiscount` (double, optional)
- `saleCampaignDiscount` (double, optional)
- `salePartnerDiscount` (double, optional)
- `saleListPricePercentage` (double, optional)
- `minItemValue` (double, optional)
- `maxItemValuePerUnit` (double, optional)
- `specifiedItemTypeId` (long, optional, default: 0)
- `specifiedItemTypeCode` (string, optional)
- `specifiedItemTypeName` (string, optional)
- `isDefault` (boolean, optional, default: false)

### TaxComponentSummary

- `taxName` (string, optional)
- `taxRatePercentage` (double, optional)
- `taxAmount` (double, optional)

### OptionItemPriceSummary

- `guid` (string, optional)
- `price` (double, optional)
- `campaignDiscount` (double, optional)
- `partnerDiscount` (double, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "planId": 1000000,
  "standardExcess": 1.1,
  "prices": [
    {
      "planId": 1000000,
      "totalPrice": 1.1,
      "standardExcess": 1.1,
      "campaignDiscountPercentage": 1.1,
      "campaignDiscount": 1.1,
      "partnerDiscount": 1.1,
      "basicOptionPrices": [
        {}
      ]
    }
  ],
  "basePriceResult": {
    "planId": 1000000,
    "netListPrice": 1.1,
    "saleListPrice": 1.1,
    "taxComponents": [
      {}
    ],
    "saleListCommission": 1.1,
    "netCampaignDiscount": 1.1,
    "saleCampaignDiscount": 1.1,
    "salePartnerDiscount": 1.1,
    "priceDetails": [
      {}
    ]
  },
  "optionPriceResult": [
    {
      "optionId": 1000000,
      "optionTypeCode": "optionTypeCode",
      "policyHolderGuid": "policyHolderGuid",
      "netListPrice": 1.1,
      "netListPriceId": 1000000,
      "saleListPrice": 1.1,
      "saleListPriceId": 1000000,
      "optionCoverageAmount": 1.1,
      "minNetListPrice": 1.1,
      "maxNetListPrice": 1.1,
      "isOptionExplicit": true,
      "isDefault": true,
      "maxItemValuePerPolicy": 1.1,
      "minSaleListPrice": 1.1,
      "maxSaleListPrice": 1.1,
      "taxComponents": [
        {}
      ],
      "saleListCommission": 1.1,
      "netCampaignDiscount": 1.1,
      "saleCampaignDiscount": 1.1,
      "salePartnerDiscount": 1.1,
      "priceDetails": [
        {}
      ]
    }
  ],
  "validation": {
    "isValid": true,
    "errors": [
      {}
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-staging.nibtravelinsurance.com/quotes/v2/nibau/quote/quoteId/communication"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-staging.nibtravelinsurance.com/quotes/v2/nibau/quote/quoteId/communication';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-staging.nibtravelinsurance.com/quotes/v2/nibau/quote/quoteId/communication"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-staging.nibtravelinsurance.com/quotes/v2/nibau/quote/quoteId/communication")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api-staging.nibtravelinsurance.com/quotes/v2/nibau/quote/quoteId/communication")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api-staging.nibtravelinsurance.com/quotes/v2/nibau/quote/quoteId/communication', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-staging.nibtravelinsurance.com/quotes/v2/nibau/quote/quoteId/communication");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-staging.nibtravelinsurance.com/quotes/v2/nibau/quote/quoteId/communication")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```